# $Revision: 1.12 $, $Date: 2004/04/26 17:07:13 $
Summary:	Tool to configure the linux kernel
Summary(pl):	Narzdzie do konfiguracji jdra Linuksa
Name:		mconfig
Version:	0.20
Release:	3
License:	GPL
Group:		Base/Kernel
Source0:	ftp://ftp.kernel.org/pub/linux/kernel/people/hch/mconfig/%{name}-%{version}.tar.bz2
# Source0-md5:	72955d9a3f64ad6d75658474065a16b8
Patch0:		%{name}-no_curses.patch
URL:		ftp://ftp.openlinux.org/pub/people/hch/mconfig/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This tool is used to create configuration file for compiling a Linux
kernel. It offers various different modes.

%description -l pl
To narzdzie jest uywane do tworzenia pliku konfiguracyjnego do
kompilacji jdra Linuksa. Oferuje rne dziwne tryby.

%prep
%setup -q -b 0
%patch0 -p1

%build
cp -f /usr/share/automake/{config.*,depcomp,missing} .
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README ChangeLog doc/CHANGES.mec doc/TODO.mec
%attr(755,root,root) %{_bindir}/mconfig
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mconfig.spec,v $
Revision 1.12  2004/04/26 17:07:13  adamg
- release 3 for Ac (2 is for Ra)

Revision 1.11  2003/05/28 12:59:42  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 05:50:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2002/10/09 13:14:40  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.8  2002/07/24 11:44:47  kloczek
- release 2.

Revision 1.7  2002/07/23 16:32:01  kloczek
- added no_curses patch wit remove looking for curses library (mconfig uses only
  curses headers for some #defs),
- added ncurses-devel to BuildRequires,
- added full regenerationa ac files.

Revision 1.6  2002/07/23 11:01:29  kloczek
- release 2: use new %doc and remove INSTALL from %doc.

Revision 1.5  2002/05/21 23:14:08  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.4  2002/02/22 23:29:15  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:13:49  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/11/30 23:07:39  qboosh
- cosmetics

Revision 1.1  2001/11/29 13:16:31  grzegorz
- inital PLD spec
